package com.ssj.service.conch.curator.request;

import com.ssj.service.conch.common.request.PageNewReq;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

import java.util.List;

/**
 * @author Mount Liu
 * @date 2020/6/9
 */
public class RenewStudentListReq extends PageNewReq {

    private final static long serialVersionUID = 1L;

    @NotBlank
    @ApiModelProperty(name = "libId", value = "馆id", required = true)
    private String libId;

    @ApiModelProperty(name = "classIdList", value = "班级id集合", required = true)
    private List<String> classIdList;

    public String getLibId() {
        return libId;
    }

    public void setLibId(String libId) {
        this.libId = libId;
    }

    public List<String> getClassIdList() {
        return classIdList;
    }

    public void setClassIdList(List<String> classIdList) {
        this.classIdList = classIdList;
    }
}
